<html> 
 <head> 
 <title>Adresse IP</title> 
 </head> 

 <body bgcolor="#ffffff" text="#000000" link="#0000ff" vlink="#800080" alink="#ff0000"> 

 <html> 
 <title>RÕcupÕrer son IP</title> 
 <body> 

 <? 
 /* RÕcupÒre l'Adresse IP */  
 $ip=getenv( "REMOTE_ADDR");  

 /* RÕcupÒre le Nom Internet */  
 $host=gethostbyaddr($ip); 

 /* Calcule l'adresse IP Inverse */ 
 $array=explode( ".",$ip); 
 end($array); 
 while (key($array)!=0) { 
      $rip=$rip.pos($array). "."; 
      prev($array); 
 } 

 $rip=$rip.pos($array); 

 /* Test suivant la langue */  
  if (getenv( "HTTP_ACCEPT_LANGUAGE")== "fr") { 
       echo "Bonjour $host,<br><br>VoilÁ ton adresse IP : <b>$ip</b><br>"; 
       echo " et ton adresse ip inverse : <b>$rip</b>"; 
 } 
 else 
 { 
      echo "Hello $host.<br><br> Here is your IP adress : <b>$ip</b><br>"; 
      echo " and your reverse ip : <b>$rip</b>"; 
 } 
 ?> 

 </body> 
 </html>

